View Issue Details

IDProjectCategoryView StatusLast Update
0004279SymmetricDSImprovementpublic2020-06-04 13:55
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004279: Remove JAR files that are not used as often to download separately
DescriptionRemove JDBC driver JAR files and their dependencies that are not used as often. Make them available as a separate download. The most popular drivers are sql-server, postgres, mysql, and oracle.
TagsNo tags attached.

Relationships

related to 0004263 feedbackelong mx4j without auth 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 2c21dc2a

2020-02-06 12:51:18

admin

Details Diff
0004279: Remove JAR files that are not used as often to download
separately

0004279
mod - symmetric-assemble/asciidoc.gradle Diff File
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-assemble/gradle.properties Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/util/AWSHelper.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ServerConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/SystemConstants.java Diff File
rm - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlPersistenceManager.java Diff File
mod - symmetric-jdbc/build.gradle Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
rm - symmetric-jdbc/src/test/java/org/jumpmind/db/sql/SqlPersistenceManagerTest.java Diff File
mod - symmetric-server/build.gradle Diff File
mod - symmetric-server/src/integrationTest/java/org/jumpmind/symmetric/test/AbstractIntegrationTest.java Diff File
mod - symmetric-server/src/integrationTest/java/org/jumpmind/symmetric/test/AbstractTest.java Diff File
mod - symmetric-server/src/main/deploy/conf/symmetric-server.properties Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricLauncher.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File
mod - symmetric-util/build.gradle Diff File

SymmetricDS: 3.12 b2960856

2020-02-17 14:02:34

admin

Details Diff
0004279: Remove JAR files that are not used as often to download
separately

0004279
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-assemble/gradle.properties Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-io/build.gradle Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/CassandraDatabaseWriter.java Diff File
mod - symmetric-server/build.gradle Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/AbstractXmlPublisherExtensionPoint.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/XmlPublisherDataRouter.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/XmlPublisherDatabaseWriterFilter.java Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File

SymmetricDS: 3.12 5c4c8554

2020-02-17 14:04:57

admin

Details Diff
0004279: cleanup
0004279
add - symmetric-client/src/main/resources/symmetric-modules.properties Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IModuleService.java Diff File

SymmetricDS: 3.12 5a2d6ff5

2020-02-17 14:05:09

admin

Details Diff
0004279: cleanup
0004279
rm - symmetric-sqlexplorer/src/test/java/org/jumpmind/vaadin/ui/sqlexplorer/H2TestTrigger.java Diff File

SymmetricDS: 3.12 686c9f37

2020-02-17 14:05:32

admin

Details Diff
0004279: Remove JAR files that are not used as often to download
0004279
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File

SymmetricDS: 3.12 dbd1bbd0

2020-02-17 15:07:51

admin

Details Diff
0004279: Message to user about missing driver
0004279
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/util/BasicDataSourceFactory.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File

SymmetricDS: 3.12 c611abe5

2020-02-18 13:47:54

admin

Details Diff
0004279: move to core as non-service
0004279
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File
mod - symmetric-client/src/main/resources/symmetric-modules.properties Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/SoftwareUpgradeListener.java Diff File

SymmetricDS: 3.12 cff2b850

2020-02-18 15:49:06

admin

Details Diff
0004279: doc symadmin module install
0004279
mod - symmetric-assemble/src/asciidoc/appendix/bigquery.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/db2.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/derby.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/firebird.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/hbase.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/hsqldb.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/ignite.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/informix.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/interbase.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/kafka.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/mariadb.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/mongodb.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/nuodb.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/redshift.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/snowflake.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/sqlite.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/sybase-ase.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/sybase-sqlanywhere.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/teradata.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/tibero.ad Diff File

SymmetricDS: 3.12 f9917ae1

2020-03-06 13:35:47

admin

Details Diff
0004279: remove jackson dependency
0004279
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/UpdateService.java Diff File

SymmetricDS: 3.12 e28c21ea

2020-04-29 12:44:03

admin

Details Diff
0004279: Remove JAR files that are not used as often to download
separately

0004279
mod - symmetric-client/src/main/resources/symmetric-modules.properties Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/ModuleManager.java Diff File

Issue History

Date Modified Username Field Change
2020-02-06 12:48 elong New Issue
2020-02-06 12:48 elong Status new => assigned
2020-02-06 12:48 elong Assigned To => elong
2020-02-06 12:52 elong Status assigned => resolved
2020-02-06 12:52 elong Resolution open => fixed
2020-02-06 12:52 elong Fixed in Version => 3.12.0
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 cff2b850
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 c611abe5
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 dbd1bbd0
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 686c9f37
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 5a2d6ff5
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 5c4c8554
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 2c21dc2a
2020-03-06 09:00 admin Changeset attached => SymmetricDS 3.12 b2960856
2020-03-06 15:00 admin Changeset attached => SymmetricDS 3.12 f9917ae1
2020-05-21 12:43 elong Relationship added related to 0004263
2020-05-26 14:48 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.12 e28c21ea